epp_DomainContact (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.domain.epp_DomainContact class

### org.openrtk.idl.epp0503.domain

# Class epp_DomainContact

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.domain.epp_DomainContact`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainContact`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent domain contact with the type: ADMIN, BILLING, TECH. Note that the registrant "contact" is not an epp_DomainContact. The registrant's contact id is associated with a domain directly as a String in such classes as epp_DomainCreateReq and epp_DomainUpdateChange. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/domain/epp_DomainContact.java,v 1.1 2003/03/21 16:18:28 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:28 $

See Also:
  `epp_DomainUpdateAddRemove`, `epp_DomainCreateReq`, `epp_DomainInfoRsp`

  ## Field Summary
  `String` | `m_id` The identifier of the domain contact.
  `epp_DomainContactType` | `m_type` The type of the domain contact.

  ## Constructor Summary
  `epp_DomainContact()` Empty constructor
  `epp_DomainContact(epp_DomainContactType _m_type, String _m_id)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getId()` Accessor method for the identifier of the domain contact
  `epp_DomainContactType` | `getType()` Accessor method for the type of the domain contact
  `void` | `setId(String value)` Accessor method for the identifier of the domain contact
  `void` | `setType(epp_DomainContactType value)` Accessor method for the type of the domain contact
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_id

    public String m_id

> The identifier of the domain contact.
> See Also:
>   `setId(String)`, `getId()`

### m_type

    public epp_DomainContactType m_type

> The type of the domain contact.
> See Also:
>   `setType(epp_DomainContactType)`, `getType()`

## Constructor Details

### epp_DomainContact

    public epp_DomainContact()

> Empty constructor

### epp_DomainContact

    public epp_DomainContact(epp_DomainContactType _m_type,
                             String _m_id)

> The constructor with initializing variables.
> Parameters:
>   `_m_type` - The type of the domain contact
>   `_m_id` - The identifier of the domain contact

## Method Details

### getId

    public String getId()

> Accessor method for the identifier of the domain contact
> Returns:
>   The domain contact identifier
> See Also:
>   `m_id`

### getType

    public epp_DomainContactType getType()

> Accessor method for the type of the domain contact
> Returns:
>   The domain contact type
> See Also:
>   `m_type`

### setId

    public void setId(String value)

> Accessor method for the identifier of the domain contact
> Parameters:
>   `value` - The domain contact identifier
> See Also:
>   `m_id`

### setType

    public void setType(epp_DomainContactType value)

> Accessor method for the type of the domain contact
> Parameters:
>   `value` - The domain contact type
> See Also:
>   `m_type`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS